# Overwrite Support Actions

## Get

> Retrieve the Overwrite Support Actions settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/OverwriteSupportActions":{"get":{"tags":["7-Overwrite Support Actions//Overwrite Support Actions"],"summary":"Get","description":"Retrieve the Overwrite Support Actions settings","operationId":"e0231fe3-4a83-44c0-9cab-754d912a1907","parameters":[{"name":"siteId","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/OverwriteSupportActions"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"OverwriteSupportActions":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Overwriting the Support Actions is Enabled or not</para>"},"url":{"type":"string","description":"<para type=\"description\">The new Support Actions URL.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Overwrite Support Actions Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="<https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json>" path="/api/OverwriteSupportActions" method="put" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}
